Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027288
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-08-07 09:482014-08-19 13:22
ReporterrafarodaView Statuspublic 
Assigned Toinigosanchez 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision2226570bd8da
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027288: Review display logic of Clause Left Part field in Defined Selector Field tab

DescriptionFor fixing issue 0026464 I had to click Show in grid then add value to Clause Left Part then saving and hidding again Clause Left Part by clicking Show in grid check-box in Reference window (ProductSimple record) > Defined Selector > Defined SelectorField (PriceListVersionID record): see screenshot attached.
Steps To Reproduce1) Login as System Administrator
2) Go to Reference window
3) Go to ProductSimple record > Defined Selector > Defined SelectorField
4) Go to PriceListVersionID record: if you check Show in grid check-box, Clause Left Part field will display with a value
Proposed SolutionModify the display logic for Clause Left Part field so it can be displayed and a value can be set even if this field is not shown in grid.
TagsNo tags attached.
Attached Filespng file icon ClauseLeftPart.png [^] (72,144 bytes) 2014-08-07 09:48

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00264643.0PR14Q4 closedrafaroda Define a new price list version with name included in the old version, duplicates entries in product selector 

-  Notes
(0069366)
hgbot (developer)
2014-08-14 09:41

Repository: erp/devel/pi
Changeset: 2226570bd8da0cfdaaa8b8e2076ce7296110a0eb
Author: Inigo Sanchez <inigo.sanchez <at> openbravo.com>
Date: Thu Aug 14 09:41:05 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2226570bd8da0cfdaaa8b8e2076ce7296110a0eb [^]

Fixes issue 27288: Review display logic of Clause Left Part Field.
To fix this, display logic of Clause Left Part Field in Defined
Selector Field tab is reviewed.

---
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_FIELD.xml
---
(0069443)
hudsonbot (developer)
2014-08-18 01:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ed428d44c18c [^]
Maturity status: Test
(0069506)
AugustoMauch (developer)
2014-08-19 13:22

Code reviewed and verified in pi@74d15eec44db

- Issue History
Date Modified Username Field Change
2014-08-07 09:48 rafaroda New Issue
2014-08-07 09:48 rafaroda Assigned To => alostale
2014-08-07 09:48 rafaroda File Added: ClauseLeftPart.png
2014-08-07 09:48 rafaroda Modules => Core
2014-08-07 09:48 rafaroda Triggers an Emergency Pack => No
2014-08-07 09:48 rafaroda Relationship added related to 0026464
2014-08-07 12:15 alostale Assigned To alostale => inigosanchez
2014-08-14 09:21 inigosanchez Issue Monitored: AugustoMauch
2014-08-14 09:22 inigosanchez Review Assigned To => AugustoMauch
2014-08-14 09:41 hgbot Checkin
2014-08-14 09:41 hgbot Note Added: 0069366
2014-08-14 09:41 hgbot Status new => resolved
2014-08-14 09:41 hgbot Resolution open => fixed
2014-08-14 09:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2226570bd8da0cfdaaa8b8e2076ce7296110a0eb [^]
2014-08-18 01:57 hudsonbot Checkin
2014-08-18 01:57 hudsonbot Note Added: 0069443
2014-08-19 13:22 AugustoMauch Note Added: 0069506
2014-08-19 13:22 AugustoMauch Status resolved => closed
2014-08-19 13:22 AugustoMauch Fixed in Version => 3.0PR14Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker